import 'package:unittest/unittest.dart';
import 'package:unittest/html_enhanced_config.dart';
import 'package:dart_transducers/dart_transducers.dart' as t;
// import 'dart:html';


void main() {
  useHtmlEnhancedConfiguration();

  group('all', () {

    test('transform', () {
      var mapFn = (item) => item * 3,
          filterFn = (item) => item % 2 == 0,
          collection = [1, 2, 3, 4, 5],
          transducer = t.compose(t.map(mapFn), t.filter(filterFn));     
      
      expect(transducer(collection), [6, 12]);
    });
  });
}
