import 'package:dart_transducers/dart_transducers.dart' as t;

num mapFn(num item) {
  return item * 3;
}

bool filterFn(num item) {
  return item % 2 == 0;
}

void main() {
  var map = t.map(mapFn),
      filter = t.filter(filterFn),
      transducer = t.compose(map, filter),
      collection = [1, 2, 3, 4, 5];
  
  print(transducer(collection));
}

